Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: python-devel
# END SourceDeps(oneline)
%define fedora 19
%global majorversion 1.12

Name:           nfoview
Version:        1.12.1
Release:        alt1_1
Summary:        Viewer for NFO files


License:        GPLv3+
URL:            http://home.gna.org/nfoview/
Source0:        http://download.gna.org/nfoview/%{majorversion}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python-module-pygobject3-devel

BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       shared-mime-info
Requires:       icon-theme-hicolor
Requires: python3-module-pygobject3

%if 0%{?fedora} >= 11
Requires:       fonts-bitmap-terminus
%else
Requires:       terminus-font-x11
%endif
Source44: import.info

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
%find_lang %{name}
desktop-file-install                                        \
    --add-category="TextTools;"                             \
    --remove-category="Viewer;"                             \
    --delete-original                                       \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
%{_mandir}/man*/%{name}.*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/%{name}*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.12.1-alt1_1
- initial fc import

